%global modulename execa

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-execa
Version:        0.10.0
Release:        1%{?dist}
Summary:        A better `child_process`

License:        MIT
URL:            https://github.com/sindresorhus/execa#readme
Source0:        https://registry.npmjs.org/execa/-/execa-0.10.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(cross-spawn) >= 6.0.0 with npmlib(cross-spawn) < 7.0.0))
BuildRequires:  ((npmlib(get-stream) >= 3.0.0 with npmlib(get-stream) < 4.0.0))
BuildRequires:  ((npmlib(is-stream) >= 1.1.0 with npmlib(is-stream) < 2.0.0))
BuildRequires:  ((npmlib(npm-run-path) >= 2.0.0 with npmlib(npm-run-path) < 3.0.0))
BuildRequires:  ((npmlib(p-finally) >= 1.0.0 with npmlib(p-finally) < 2.0.0))
BuildRequires:  ((npmlib(signal-exit) >= 3.0.0 with npmlib(signal-exit) < 4.0.0))
BuildRequires:  ((npmlib(strip-eof) >= 1.0.0 with npmlib(strip-eof) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A better `child_process`

%package 0.10.0
Summary:        A better `child_process`


%description 0.10.0
A better `child_process`

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 0.10.0
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Dec 4 2018 npm2srpm <dshea@redhat.com> - 0.10.0-1
- Package automatically generated by npm2srpm
